Gecode::Int::Bool::TerOrTrue< BV > Class Template Reference
Other available functionality » Integer propagators

Ternary Boolean disjunction propagator (true). More...

`#include <bool.hh>`

## Public Member Functions

| TerOrTrue (Space &home, Propagator &p, BV b0, BV b1, BV b2)
| Constructor for rewriting p during cloning.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
Public Member Functions inherited from Gecode::Int::Bool::BoolBinary< BV, BV >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low unary).
virtual void | reschedule (Space &home)
| Schedule function.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, BV b0, BV b1, BV b2)
| Post propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| TerOrTrue (Home home, BV b0, BV b1, BV b2)
| Constructor for posting.
| TerOrTrue (Space &home, TerOrTrue &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Int::Bool::BoolBinary< BV, BV >
| BoolBinary (Home home, BV b0, BV b1)
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

BV | x2
| Boolean view without subscription.
Protected Attributes inherited from Gecode::Int::Bool::BoolBinary< BV, BV >
BV | x0
| Boolean view.
BV | x1
| Boolean view Constructor for posting.

## Detailed Description

template<class BV>
class Gecode::Int::Bool::TerOrTrue< BV >

Ternary Boolean disjunction propagator (true).

Requires

#include <gecode/int/bool.hh>
bool.hh

Definition at line 264 of file bool.hh.

## Constructor & Destructor Documentation

## TerOrTrue() [1/3]

template<class BV>

Gecode::Int::Bool::TerOrTrue< BV >::TerOrTrue | ( | Home | home,
|  | BV | b0,
|  | BV | b1,
|  | BV | b2 )

inline protected

Constructor for posting.

Definition at line 181 of file or.hpp.

## TerOrTrue() [2/3]

template<class BV>

Gecode::Int::Bool::TerOrTrue< BV >::TerOrTrue | ( | Space & | home,
|  | TerOrTrue< BV > & | p )

inline protected

Constructor for cloning p.

Definition at line 193 of file or.hpp.

## TerOrTrue() [3/3]

template<class BV>

Gecode::Int::Bool::TerOrTrue< BV >::TerOrTrue | ( | Space & | home,
|  | Propagator & | p,
|  | BV | b0,
|  | BV | b1,
|  | BV | b2 )

inline

Constructor for rewriting p during cloning.

Definition at line 200 of file or.hpp.

## Member Function Documentation

## copy()

template<class BV>

Actor * Gecode::Int::Bool::TerOrTrue< BV >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 208 of file or.hpp.

## propagate()

template<class BV>

ExecStatus Gecode::Int::Bool::TerOrTrue< BV >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 227 of file or.hpp.

## post()

template<class BV>

ExecStatus Gecode::Int::Bool::TerOrTrue< BV >::post | ( | Home | home,
|  | BV | b0,
|  | BV | b1,
|  | BV | b2 )

inline static

Post propagator .

Definition at line 220 of file or.hpp.

## dispose()

template<class BV>

size_t Gecode::Int::Bool::TerOrTrue< BV >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Int::Bool::BoolBinary< BV, BV >.

Definition at line 186 of file or.hpp.

## Member Data Documentation

## x2

template<class BV>

BV Gecode::Int::Bool::TerOrTrue< BV >::x2

protected

Boolean view without subscription.

Definition at line 269 of file bool.hh.

The documentation for this class was generated from the following files:

- gecode/int/bool.hh
- gecode/int/bool/or.hpp